 /*
  * entry.h
  * Copyright (C) Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
  * 
  * simple-netaid is free software: you can redistribute it and/or modify it
  * under the terms of the GNU General Public License as published by the
  * Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  * 
  * simple-netaid is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  * See the GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License along
  * with this program.  If not, see <http://www.gnu.org/licenses/>.
  * 
  * See the COPYING file.
  */

#ifndef __ENTRY_H__
#define __ENTRY_H__

#include <stdlib.h>
#include <stdbool.h>
#include "sbuf.h"

#define SOCKET_NAME "/tmp/snetaid.socket"
#define BUFFER_SIZE 128

#define PROTOCOL 0

void get_daemon_pid(struct sbuf*);
void get_daemon_path(struct sbuf*, const char*);
bool enquery_pstat_binary(const char*, const char*);
void get_pstat_binary(struct sbuf*, const char*);
void emit_sigusr(int, const char*);
void send_arguments(int, int, ...);

#endif /* __ENTRY_H__ */
